# List approvals

`GET https://api.instacloud.com/projects/{projectId}/approvals`

**Token scope:** `account` · `org` · `project` — read-only tokens allowed.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `status` | query | `"pending" \| "granted" \| "denied" \| "consumed"` | no |  |
| `projectId` | path | `string` | yes |  |

## Response 200

Default Response

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `approvals` | `object[]` | no |  |
| `approvals.id` | `string` | no |  |
| `approvals.project_id` | `string` | no |  |
| `approvals.action` | `string` | no |  |
| `approvals.request_hash` | `string \| null` | no |  |
| `approvals.request_context` | `object \| null` | no |  |
| `approvals.branch_id` | `string \| null` | no |  |
| `approvals.status` | `"pending" \| "granted" \| "denied" \| "consumed"` | no |  |
| `approvals.requested_by` | `string \| null` | no | Better Auth user id (opaque string, not a UUID) |
| `approvals.decided_by` | `string \| null` | no | Better Auth user id (opaque string, not a UUID) |
| `approvals.requested_at` | `string` | no |  |
| `approvals.decided_at` | `string \| null` | no |  |
